Bug Hunting Session
Bug 83569 - Style inherit from impress template broke document styles
Summary: Style inherit from impress template broke document styles
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ImpressDraw-Styles
  Show dependency treegraph
 
Reported: 2014-09-06 19:53 UTC by Pierre C
Modified: 2019-09-24 03:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Origin file (145.71 KB, application/vnd.oasis.opendocument.presentation)
2015-10-25 00:07 UTC, Carlos Rodriguez
Details
Result file (146.21 KB, application/vnd.oasis.opendocument.presentation)
2015-10-25 00:09 UTC, Carlos Rodriguez
Details
Steps to reproduce (584.52 KB, application/vnd.oasis.opendocument.presentation)
2015-10-25 08:21 UTC, Pierre C
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre C 2014-09-06 19:53:52 UTC
Easy to reproduce.
1 use template manager to create a new presentation for example, use inspiration template.

2 create one or two slides using some style. For example, add text with standard style.

3 close an and save doc (test.odp)

4 open template for edition, an modify any style for example change text style (font from normal to bold)

5 save and close template

6 open your presentation (test.odp), you will be ask if you want to update style from template. Choose yes

7 Standard style will be changed, you modified style (text) will have loose its changes

Expected behavior -> doc styles are not broken

So that, this feature (doc linked to a template) is absolutely broken
Comment 1 Buovjaga 2014-11-13 13:25:36 UTC
I tried to reproduce, but maybe I don't understand what you are saying.
What is "standard style" in your 2 and 7?
In 4, you change the style that I understand is used in the presentation.
My expectation would be that 7 happens, so I don't understand what is the problem.

I changed the Title font to Calibri in the template, opened my test file and updated styles and it had been changed to Calibri, just like would have wanted it to change.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 2 Pierre C 2014-11-13 14:48:42 UTC
Hi Beluga and thanks to get interest to this bug

I've reproduced this bug on many computers and many versions of LO, but as English is not my native language, surely, it's difficult to me, to correctly explain the problem.

I've the problem with drawing object style. "Standard" style is the style at the top when using hierarchical view of styles.

1 Create a new presentation with template manager. Chose "Inspiration"
In file/properties, you must see a line with : template  Inspiration

2 on the first slide, Add too block of text. the default style is "standard" (use F11 to see it) the text is Arial 18

3 save and close your file (test.odp)

4 Launch LO as administrator (you have to do this because template is saved in location where user can't write. Another way to do it, is to copy a template in your personal template folder, then you don't have to launch LO as administrator)

5 use template manager to *edit* the Inspiration template. Change the text named style (F11/drawing object style). I've changed font to Arial Black 20

6 save and close

7 launch LO, open the test.odp file. Your are asked to update styles. Click on Yes

==> the two text areas are Liberation sans 18 now, and the text named style is also Liberation sans 18 now

I've just reproduced the bug with LO 4.3.4.1
Comment 3 Buovjaga 2014-11-14 06:34:18 UTC
(In reply to Pierre C from comment #2)
> Hi Beluga and thanks to get interest to this bug
> 
> I've reproduced this bug on many computers and many versions of LO, but as
> English is not my native language, surely, it's difficult to me, to
> correctly explain the problem.
> 
> I've the problem with drawing object style. "Standard" style is the style at
> the top when using hierarchical view of styles.
> 
> 1 Create a new presentation with template manager. Chose "Inspiration"
> In file/properties, you must see a line with : template  Inspiration
> 
> 2 on the first slide, Add too block of text. the default style is "standard"
> (use F11 to see it) the text is Arial 18

The default style for me is called Subtitle, Arial 32.
 
> 7 launch LO, open the test.odp file. Your are asked to update styles. Click
> on Yes
> 
> ==> the two text areas are Liberation sans 18 now, and the text named style
> is also Liberation sans 18 now


The text block I created was changed to Arial Black 20, just like I modified it in the template.

Switching back to UNCONFIRMED, let's wait for others to test.
Comment 4 Carlos Rodriguez 2015-10-25 00:07:54 UTC
Created attachment 119932 [details]
Origin file

I think that I'm understanding what Pierre said but I'm not considering it a bug.

Let's start using the "Inspiration" template copied to my home folder as I'm not going to start LibO as root in Debian ;-). I've got for the Subtitle Style "Arial 32".

Creating a document based on this template, I wrote 4 phrases with these font type and styles info:

Phrase 1.- Arial 32 (default Subtitle style and just one word in italic too)
Phrase 2.- Arial 32 (default Subtitle style and just one word in bold too)
Phrase 3.- Caladea 32 (and just one word in italic too)
Phrase 4.- Caladea 32 (and just one word in bold too)

Closing and saving with name 01_origin.odp

If now, I change the template style to (for example) DejaVu Sans Light, size 20, BOLD, then these happens on the document when I reopen it and "Update Styles" is pressed:

Phrase 1.- DejaVu Sans Light, 20, BOLD (and just one word in italic too): RIGHT
Phrase 2.- DejaVu Sans Light, 20, BOLD (so, all words in bold, too):RIGHT
Phrase 3.- Caladea 20, BOLD (and just one word in italic too): WRONG?
Phrase 4.- Caladea 20, BOLD (so all words in bold, too): WRONG?

Saving the result as 02_result.odp

Conclusion: 

As you can see, changing the font type in a template affects to the document only if the font type on the document was not manually changed. All other atributes, like Italic and Bold, are replicated.

So, marking this issue for needing info for reporter.
Comment 5 Carlos Rodriguez 2015-10-25 00:09:13 UTC
Created attachment 119933 [details]
Result file

Version: 4.4.7.0.0+
Build ID: 748ff17f7780232729d60ef764b0f2995b887b22
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-4, Time: 2015-10-22_15:51:22
Locale: es_ES.UTF-8
Comment 6 Pierre C 2015-10-25 07:34:43 UTC
Thanks Carlos Rodriguez for trying to reproduce this bug

Your are not far from reducing the bug.

I think that you used "presentation styles" and not "Graphic style"

Do the same as you did, but _add a text box_, choose "Text" style from "graphic styles". Save

and then change font size of text style in your template. save, reopen impress file, update style, and look at the result
Comment 7 Pierre C 2015-10-25 08:21:12 UTC
Created attachment 119938 [details]
Steps to reproduce

I create a presentation to explain as best as I can the problem. I'm not sure to be able to do more. Beluga and Carlos did not exactly the same things as I did
Comment 8 Carlos Rodriguez 2015-10-25 21:50:25 UTC
Many thanks Pierre for your presentation. It's the best way to reproduce this bug.

What I'm seeing is that when I copy the template and rename it, as soon as I open this template in LibO the Properties shows that the new document is linked to the Original Template, not the copy that I've made. This is telling me that your bug maybe is related to info inside the Template File that says where to link to and is not updating that info when you copy the Original Template to your personal folder. Or worse, there is code on LibO that is linking to the Original Template file.

This could explain why your style changes are not updating correctly on the final document, because they are linking to the Original Template.

Anyway, I'm not able to get the first step, can you tell me which is the exact way that you do to create a file from the template that you copied and changed the name? The objective is to know how can you change the linked template that you see in Properties.
Comment 9 Pierre C 2015-10-25 22:13:57 UTC
(In reply to Carlos Rodriguez from comment #8)
> 
> Anyway, I'm not able to get the first step, can you tell me which is the
> exact way that you do to create a file from the template that you copied and
> changed the name? The objective is to know how can you change the linked
> template that you see in Properties.

First, Copy and rename template in your personal folder
Second, make sure that the path to your personal folder is in paths for templates
(Tools/Options/path > template, add your path)
Lastly, Go to files/template/manage > My template and double click on your renamed template

Go to files/properties and check for the template name that is linked to your document
Comment 10 Carlos Rodriguez 2015-10-25 23:08:54 UTC
Following all your steps this bug is reproducible. Thanks for your patience!!

Debian 8:

Version: 5.1.0.0.alpha1+
Build ID: 9a85743766e8a063d20d5f93ee88758e243397f4
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-10-23_00:56:39
Locale: es-ES (es_ES.UTF-8)

The most curios thing is what you commented about the Font Style change... it goes to Liberation Sans!! this is not normal.
Comment 11 Pierre C 2015-10-26 06:58:42 UTC
(In reply to Carlos Rodriguez from comment #10)
> Following all your steps this bug is reproducible. Thanks for your patience!!
> 
>
> 
> The most curios thing is what you commented about the Font Style change...
> it goes to Liberation Sans!! this is not normal.

From my point of view, it goes to default values. I.e the values of a new Impress file (Files/New presentation) Here you have a blank presentation with Liberation sans 18 for Text style.

Whatever you change in the style, all styles go to theses values

Thanks to work for confirming the bug
Comment 12 Carlos Rodriguez 2015-10-26 09:35:32 UTC
(In reply to Pierre C from comment #11)
> From my point of view, it goes to default values. I.e the values of a new
> Impress file (Files/New presentation) Here you have a blank presentation
> with Liberation sans 18 for Text style.
> 
> Whatever you change in the style, all styles go to theses values

Yes, that's true. What I saw was that there's a link to the Original Template, the one that is copied from. Let's see if some developer could have any more clues.
Comment 13 QA Administrators 2016-11-08 11:57:13 UTC Comment hidden (obsolete)
Comment 14 Thomas Lendo 2018-09-20 21:34:47 UTC
Can't reproduce the style updating problem with

Version: 6.2.0.0.alpha0+
Build ID: 62cd86977ca41677c56fb2d1f97bb1c5cbdbd416
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded; Build from yesterday

I see no problems with style changes in the template regardless that the names of the templates in the LibO default template folder and the personal folder (which is available via 'My Templates' in the template manager) are identical. Changes in both styles are forwarded to the derived documents.
Comment 15 Buovjaga 2018-09-21 09:46:08 UTC
Pierre: can you re-test with 6.2?
Comment 16 Pierre C 2018-09-23 07:14:45 UTC
Problem is still in LO Dev 6.2 (just tested)

When you create a document using template, your document is linked to the template.

If you change anything in your template, styles in your document and styles in your template differs.

So that when you open your doc, your are asked if you want to update your doc styles from the new template styles

If you do that, all styles are reset to a default state from ??

This applies to Drawing styles

This feature isn't working at all. you can loose a lot of work if you try to use it. All your styles are lost. IMHO it should be disabled at least
Comment 17 QA Administrators 2019-09-24 03:10:13 UTC
Dear Pierre C,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug